package patterns.behavioral.chainofresponsibility;

public abstract class Widget {

	protected Widget parent;
	
	public void setParent(Widget parent) {
		this.parent = parent;
	}
	
	public abstract void handleClickEvent(ClickEvent event);
	
}
