package patterns.behavioral.interpreter.impl;

import patterns.behavioral.interpreter.Context;

public class Constant extends TerminalExpression {

	private Object value;
	
	
	public Constant(Object value) {
		super();
		this.value = value;
	}



	@Override
	public Object interpret(Context context) {
		System.out.println("interpreting " + this.toString());
		// constants evaluate to their values
		Object result = this.value;

		System.out.println(this.toString() + " interprets to " + result);
		return this.value;
	}

	public String toString() {
		return this.value.toString();
	}
	
}
