package patterns.behavioral.iterator.client;

public class User {
	
	private String name;
	private int age;
	
	public User(String name, int age) {
		this.name = name;
		this.age = age;
	}

	public String toString() {
		return "name: " + this.name + ", age: " + this.age;		
	}

	public String getName() {
		return name;
	}

	public int getAge() {
		return age;
	}
	
	public User clone() {
		return new User(this.name, this.age);
	}
	
}