package patterns.behavioral.templatemethod.impl;

import patterns.behavioral.templatemethod.UserValidator;

public class USUserValidator extends UserValidator {

	@Override
	protected boolean validateAddress(String address) {
		boolean isAddressValid = true;
		// validate address in the U.S.
		
		return isAddressValid;
	}

	@Override
	protected boolean validateAgeRestriction(int age) {
		// must be teenageer or older in the U.S.
		return age > 13;
	}

	@Override
	protected boolean validatePhoneNumber(String phoneNumber) {
		boolean isPhoneNumberValid = true;
		// validate phone number
		
		return isPhoneNumberValid; 
	}

}
