package patterns.behavioral.visitor.client;

import patterns.behavioral.visitor.Expression;
import patterns.behavioral.visitor.impl.X86CodeGenVisitor;

public class X86CodeGenVisitorClient {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		String program = "if (a < 0) then 0 - a else a";
		Expression parseTree = Parser.parse(program);

		X86CodeGenVisitor visitor = new X86CodeGenVisitor();
		parseTree.accept(visitor);
		
	}

}
