package patterns.creational.abstractfactory.client;

import patterns.creational.abstractfactory.DecoratonFactory;
import patterns.creational.abstractfactory.impl.JungleFactory;
import patterns.creational.abstractfactory.impl.BeachFactory;

public class PerformAbstractFactory {


	public static void main(String[] args) {
		Environment environment = null;
		DecoratonFactory factory = null;
		
		if (args[0].equalsIgnoreCase("jungle")){
			factory = new JungleFactory();
		}
		else if (args[0].equalsIgnoreCase("beach")){
			factory = new BeachFactory();
		}

		environment = new Environment (factory);
		
		if (environment != null){
			environment.drawBackground();
			environment.thiefSteal();			
		}

		
	}

}