package patterns.creational.abstractfactory.impl;

import patterns.creational.abstractfactory.House;
import patterns.creational.abstractfactory.DecoratonFactory;
import patterns.creational.abstractfactory.Fence;

//Concrete Factory of DecoratonFactory -- JungleFactory
//implements the interface of Abstract Factory
public class JungleFactory implements DecoratonFactory {

	public House createHouse() {
		return new JungleHouse();
	}

	public Fence createFence() {
		return new JungleFence();
	}

}
