package patterns.creational.builder;
import java.util.ArrayList;

//Product
//represents the final product and its constituent parts.
public class Maze {
	private ArrayList<String> components = new ArrayList<String>();
	
	public void addRoom(String newroom){
//	void addRoom(Room newroom){
		components.add(newroom);
	}
	
	public void addWall(String newwall){
//	void addWall(Wall newwall){
		components.add(newwall);
	}
	
	public void addDoor(String newdoor){
//	void addDoor(Door newdoor){
		components.add(newdoor);
	}
	
	public void show(){		
		System.out.println("Maze:");
		java.util.Iterator<String> iterator = components.iterator();
		while (iterator.hasNext()){
			System.out.println(iterator.next());				
		}
	}
}
