package patterns.creational.builder.client;

import patterns.creational.builder.Maze;

public class FirstAttemptBuildParts {

	void buildMazeParts(Maze maze, String type, String part){
		if (type.equalsIgnoreCase("fire")){
			if (part.equalsIgnoreCase("door")){
				maze.addDoor("fire door");				
			}
			else if (part.equalsIgnoreCase("wall")){
				maze.addWall("fire wall");				
			}
			else if (part.equalsIgnoreCase("room")){
				maze.addRoom("fire room");				
			}
		}
		else if(type.equalsIgnoreCase("ice")){
			if (part.equalsIgnoreCase("door")){
				maze.addDoor("ice door");				
			}
			else if (part.equalsIgnoreCase("wall")){
				maze.addWall("ice wall");				
			}
			else if (part.equalsIgnoreCase("room")){
				maze.addRoom("ice room");				
			}
		}
	}
}
