package patterns.creational.builder.client;

import patterns.creational.builder.Maze;
import patterns.creational.builder.MazeBuilder;

//Director
//constructs an object using the Builder interface.
public class MazeBuildDirector {
	private MazeBuilder builder;
	
	public void setBuilder(MazeBuilder assignedbuilder){
		builder = assignedbuilder;
	}
	
	public void constructMaze(){
//		read in configuration
//		while (t = get next token){
//			switch 
//			case ROOM:
				builder.buildRoom();
//				break;
//			case DOOR:	
				builder.buildDoor();
//				break;
//			case WALL:	
				builder.buildWall();
//				break;
//		}
	}
	
	public Maze getMaze(){
		return builder.getMaze();
	}
}
