package patterns.creational.builder.impl;

import patterns.creational.builder.MazeBuilder;

//Concrete Builder -- IceMazeBuilder
//implements the Builder (MazeBuilder) interface and keeps track of the product and objects.
public class IceMazeBuilder extends MazeBuilder {

	@Override
	public void buildDoor() {
		maze.addDoor("ice door");
	//	maze.addDoor(new IceDoor());
	}

	@Override
	public void buildRoom() {
		maze.addRoom("ice room");
	//	maze.addDoor(new IceRoom());		
	}

	@Override
	public void buildWall() {
		maze.addWall("ice wall");
	//	maze.addDoor(new IceWall());
	}

}
