package patterns.creational.factorymethod;

//Product
//defines the interface of objects created by factory method.
public abstract class House {
	public abstract void protect(int thiefs);
	public abstract void showMyself();
	
	public int getPrice(){
		return price;
	}
	
	public void setPrice(int assignedprice){
		price = assignedprice;
	}
	
	public int getProtectLevel(){
		return protectlevel;
	}
	
	public void setProtectLevel(int assignedlevel){
		protectlevel = assignedlevel;
	}
	
	protected int price;
	protected int protectlevel;
}
