package patterns.creational.factorymethod.client;

import patterns.creational.factorymethod.House;
import patterns.creational.factorymethod.impl.JungleHouse;
import patterns.creational.factorymethod.impl.BeachHouse;

public class PerformFirstAttempt {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		House house = null;
		if (args[0].equalsIgnoreCase("jungle_house")){
			house = new JungleHouse();
			house.setPrice(300);
			house.setProtectLevel(19);
		}
		else if (args[0].equalsIgnoreCase("beach_housee")){
			house = new BeachHouse();
			house.setPrice(200);
			house.setProtectLevel(12);
		}
		
		
		//somewhere in the code
		if (house != null){
			int thief;
			house.showMyself();
			
			thief = 10;
			house.protect(thief);
		}
		
		

	}

}
