package patterns.creational.factorymethod.impl;

import patterns.creational.factorymethod.House;

//Concrete Product
//implements the Product interface.
public class BeachHouse extends House {

	@Override
	public void protect(int thief) {
		//protect harvest from thief whose level is lower 
		if (thief > this.protectlevel){
			System.out.println("beach house - harvest is stolen");
		}
		else {
			System.out.println("beach house - harvest is secured");
		}

	}
	
	@Override
	public void showMyself() {
		//shown as a beach house
		System.out.println("present as a beach house");

	}

}
