package patterns.creational.factorymethod.impl;

import patterns.creational.factorymethod.House;
import patterns.creational.factorymethod.HouseCreator;

//Concrete Creator
//overrides the factory method (createWeapon()) to return an instance of a ConcreteProduct.
public class BeachHouseCreator extends HouseCreator {

	@Override
	public House createHouse() {
		BeachHouse beachHouse = new BeachHouse();
		beachHouse.setPrice(200);
		beachHouse.setProtectLevel(12);
		return beachHouse;
		
	}
}
