package patterns.structural.adapter;

public class InHouseEngine implements MapRender {

	public void drawTriangle(float x1, float y1, float x2, float y2, float x3, float y3) {
		

		drawPoint(x1,y1);
		drawPoint(x2,y2);
		drawPoint(x3,y3);
	}
	
	private void drawPoint(float x, float y){
		
		System.out.println("[InHouseEngine]\t\tDraw ("+x+","+y+")");
	}

}
