package patterns.structural.bridge;

public class PersistentStore {

	PersistentStoreImpl storeImpl = null;
	
	public PersistentStore(){
		
		storeImpl = PersistentStoreImpl.getPersistentStore("file");
	}
	
	public void saveProfile(UserProfile profile){		
		
		storeImpl.saveProfile(profile);
	}
	public UserProfile retrieveProfile(String username){
		
		return storeImpl.retrieveProfile(username);
	}
	
}
