package patterns.structural.decorator;

import java.util.Date;


public class LogDecorator extends AccessControllerDecorator {

	
	
	public LogDecorator(AccessController controller) {
		super(controller);
	}

	@Override
	public boolean authenticate(String username, String password) {
		
		Date d = new Date();
		System.out.println("[Log]["+d+"] "+username+" login with password:"+password);
		
		return originalController.authenticate(username, password);
	}

}
