package patterns.behavioral.chainofresponsibility.impl;

import patterns.behavioral.chainofresponsibility.ClickEvent;
import patterns.behavioral.chainofresponsibility.Widget;

public class Button extends Widget {

	private String name;
	
	public Button(String name) {
		super();
		this.name = name;
	}

	@Override
	public void handleClickEvent(ClickEvent event) {
		System.out.println ("Button " + this.name + "is pushed.");
		
	}

}
