package patterns.behavioral.chainofresponsibility.impl;

import java.util.ArrayList;

import patterns.behavioral.chainofresponsibility.ClickEvent;
import patterns.behavioral.chainofresponsibility.Widget;

public class Window extends Widget {
	
	private ArrayList<Widget> children = new ArrayList<Widget>();
	
	public void AddChild (Widget widget) {
		this.children.add(widget);
		widget.setParent(this);
	}
	
	@Override
	public void handleClickEvent(ClickEvent event) {
		System.out.println ("Window handles the click event");

	}

}
