package patterns.behavioral.iterator;

public interface Iterator {

	/**
	 * move the cursor to the first object
	 */
	public void first();
	
	/**
	 * move the cursor to the next object
	 */
	public void next();
	
	/**
	 * @return the object under the cursor
	 */
	public Object currentItem();
	
	/**
	 * @return is there still object under the cursor
	 */
	public boolean isDone();

}
