package patterns.behavioral.iterator.client;

import java.util.ListIterator;

import patterns.behavioral.iterator.Iterator;
import patterns.behavioral.iterator.List;
import patterns.behavioral.iterator.impl.ReverseListIterator;


public class ReverseIterate {

	public void testReverseIterator() {
		List list = ListFactoryMethod.getUserList();
		
		// print the list using forwards
		Iterator forward = list.createIterator();
		PrintUsers.printUsers(forward);
		
		// print the list backwards
		ReverseListIterator reverse = new ReverseListIterator(list);
		PrintUsers.printUsers(reverse);
	}
}
