package patterns.behavioral.observer.client;

import patterns.behavioral.observer.impl.MessageDialog;
import patterns.behavioral.observer.impl.MessageHandler;

public class Client {

	public static void main (String [] args)
	{
		// create a dialog
		MessageDialog dialog1 = new MessageDialog("main");
		
		// create another dialog
		MessageDialog dialog2 = new MessageDialog("dlg");
		
		// create the subject
		MessageHandler subject = new MessageHandler();
		
		// attach the observers to the subject
		subject.attach(dialog1);
		subject.attach(dialog2);
		
	}
	
}
