package patterns.behavioral.state;

public abstract class Context {

	protected State currentState;
	
	public void setState(State state) {
		this.currentState = state;
	} 
	
	public abstract void doAction();
}
