package patterns.behavioral.state.impl;

import patterns.behavioral.state.Context;

public class NPCContext extends Context {

	@Override
	public void doAction() {
		// process current action
		
		// if someone approaches
		this.currentState.handleApproached();
		
		// if under attack
		this.currentState.handleAttacked();
		
		// else if in conversation
		this.currentState.handleConversation();
		
		// else if someone left
		this.currentState.handleLeft();
	}

}