package patterns.behavioral.strategy.impl;

import patterns.behavioral.strategy.BattleContext;
import patterns.behavioral.strategy.BattleStrategy;

public class MonsterBattleContext extends BattleContext {

	@Override
	protected BattleStrategy determineStrategy() {
		// monsters resort to brute force only
		return new BruteForceBattleStrategy();
	}

}
