package patterns.behavioral.strategy.impl;

import patterns.behavioral.strategy.BattleContext;
import patterns.behavioral.strategy.BattleStrategy;

public class NPCBattleContext extends BattleContext {

	@Override
	protected BattleStrategy determineStrategy() {
		// NPCs determines strategy more subtly
		
		if (this.isInAdvantage()) {
			return new OffensiveBattleStrategy();
		}
		else {
			return new DefensiveBattleStrategy();
		}
	}

	private boolean isInAdvantage() {
		boolean inAdvantage = false;
		// determine if we are in advantage

		return inAdvantage;
	}	
}
