package patterns.behavioral.templatemethod.impl;

import patterns.behavioral.templatemethod.UserValidator;

public class TaiwanUserValidator extends UserValidator {

	@Override
	protected boolean validateAddress(String address) {
		boolean isAddressValid = true;
		// validate address in Taiwan
		
		return isAddressValid;
	}

	@Override
	protected boolean validateAgeRestriction(int age) {
		// in Taiwan, user must be 12 years old or above
		return age > 12;
	}

	@Override
	protected boolean validatePhoneNumber(String phoneNumber) {
		boolean isPhoneNumberValid = true;
		// validate phone number
		
		return isPhoneNumberValid; 
		
	}

}
