package patterns.creational.builder.impl;

import patterns.creational.builder.MazeBuilder;

//Concrete Builder -- FireMazeBuilder
//implements the Builder (MazeBuilder) interface and keeps track of the product and objects.
public class FireMazeBuilder extends MazeBuilder {

	@Override
	public void buildDoor() {
		maze.addDoor("fire door");
	//	maze.addDoor(new FireDoor());
	}

	@Override
	public void buildRoom() {
		maze.addRoom("fire room");
	//	maze.addRoom(new FireRoom());
	}

	@Override
	public void buildWall() {
		maze.addWall("fire wall");
	//	maze.addWall(new FireWall());
	}

}
