package patterns.creational.factorymethod.impl;

import patterns.creational.factorymethod.House;
import patterns.creational.factorymethod.HouseCreator;

//Concrete Creator
//overrides the factory method (createWeapon()) to return an instance of a ConcreteProduct.
public class JungleHouseCreator extends HouseCreator {

	@Override
	public House createHouse() {
		JungleHouse jungleHouse = new JungleHouse();
		jungleHouse.setPrice(300);
		jungleHouse.setProtectLevel(19);
		return jungleHouse;
		
	}
}
