package patterns.creational.prototype;

import java.util.ArrayList;

//Prototype
//declares an interface for cloning itself.
public abstract class Map implements Cloneable{
	protected ArrayList<String> configs;

	public Object clone() throws CloneNotSupportedException {	
		return super.clone();
	}
	
	public abstract void draw();
}
