package patterns.creational.prototype.client;

import patterns.creational.prototype.Map;

//Client
//creates a new object by asking a prototype to clone itself
public class Login {
	Map map;
	public void loadMap(Map assignedmap){
		try {
			map = (Map) assignedmap.clone();
		}
		catch (CloneNotSupportedException e){
			System.out.println("Not Support Clone");
		}
		map.draw();
		
	}
}
