package patterns.creational.prototype.client;

import patterns.creational.prototype.impl.Level3Map;
import java.util.ArrayList;

public class PerformFirstAttempt {

	/**
	 * @param args[0]
	 */
	public static void main(String[] args) {
		//user login
		//read in configurations
		ArrayList<String> config1= new ArrayList<String>();
		config1.add("background sunny");
		config1.add("emeny level 3");
		config1.add("Wind City");
		Level3Map level3map = new Level3Map(config1);
		System.out.println("user1 load map");
		level3map.draw();
		
		System.out.println("===================");
		
		//other user login
		//reading default configuration again
		ArrayList<String> config2= new ArrayList<String>();
		config2.add("background sunny");
		config2.add("emeny level 3");
		config2.add("Wind City");
		Level3Map level3map2 = new Level3Map(config2);
		System.out.println("user2 load map");
		level3map2.draw();
		
		//etc...

	}


}
