package patterns.creational.prototype.client;

import java.util.ArrayList;

import patterns.creational.prototype.impl.Level3Map;

public class PerformPrototype {

	/**
	 * @param args[0]
	 */
	public static void main(String[] args) {
		Login login = new Login();
		
		//read in configurations once
		ArrayList<String> config= new ArrayList<String>();
		config.add("background sunny");
		config.add("emeny level 3");
		config.add("Wind City");
		Level3Map level3map = new Level3Map(config);
		
		System.out.println("user1 load map");
		login.loadMap(level3map);
		
		System.out.println("===================");
		
		System.out.println("user2 load map");
		login.loadMap(level3map);
	}

}
