package patterns.structural.adapter;

public class ThirdPartyEngine {

	public void draw(Point p1, Point p2, Point p3){
		
		drawPoint(p1);
		drawPoint(p2);
		drawPoint(p3);
		
	}
	
	private void drawPoint(Point p){
		
		System.out.println("[ThirdPartyEngine]\tDraw ("+p.getX()+","+p.getY()+")");
	}
	
}
