package patterns.structural.adapter;

public class ThirdPartyRenderAdapterObject implements MapRender {

	ThirdPartyEngine engine;
	
	public ThirdPartyRenderAdapterObject(){
		
		engine = new ThirdPartyEngine();
	}
	
	public void drawTriangle(float x1, float y1, float x2, float y2, float x3,float y3) {
		
		Point p1 = new Point(x1,y1);
		Point p2 = new Point(x2,y2);
		Point p3 = new Point(x3,y3);
		
		engine.draw(p1, p2, p3);
	}

}
