package patterns.structural.bridge;

import java.io.Serializable;

public class UserProfile implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8670468570448970282L;

	String name;
	int level;
	
	public UserProfile(String name){
		
		this.name = name;
		this.level = 0;
	}
	
	public void setLevel(int i){
		level = i;
	}
	
	public void increaseLevel(){
		
		level ++;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
