package patterns.structural.decorator;

public abstract class AccessControllerDecorator implements AccessController {

	AccessController originalController;
	
	public AccessControllerDecorator(AccessController controller){
		
		originalController = controller;
	}
	
	public AccessController getOriginalController(){ return originalController; }
	
	public abstract boolean authenticate(String username,String password);	
	
}
