package patterns.structural.decorator;

import java.util.Hashtable;

public class RemoteAccessController implements AccessController {

	Hashtable<String, String> db = new Hashtable<String, String>();
	
	public RemoteAccessController(){
		
		db.put("Jeffrey", "1234");
		db.put("Jim"    , "abcd");
		db.put("Clement", "5678");
	}
	
	public boolean authenticate(String username, String password) {
		
		boolean result = false;
		
		try {
			Thread.sleep(3000);
		} catch (InterruptedException e) {
		
			e.printStackTrace();
		}
		
		
		if(db.containsKey(username)){
			
			String realPassword = (String)db.get(username);
			
			if(realPassword.equalsIgnoreCase(password))
				result = true;
		}
		
		return result;
	}

	
}
