package patterns.structural.proxy;

import java.util.Hashtable;

public class CacheProxy implements AccessController {

	AccessController realAccessConroller;
	Hashtable<String, String> cache = new Hashtable<String, String>();
	
	public CacheProxy(AccessController contoller){
		
		this.realAccessConroller = contoller;
	}
	
	public boolean authenticate(String username, String password) {

		boolean result = false;
		
		if(cache.containsKey(username)){
			
			String cachedPassword = (String)cache.get(username);
			if(password.equalsIgnoreCase(cachedPassword))
				result = true;
		}else{
			
			result = realAccessConroller.authenticate(username,password);
			
			if(result){
				
				cache.put(username, password);
			}
		}
		
		return result;
	}

	
	
}
